<ion-header   *ngIf="profile$ | async as user">
  <ion-toolbar>
    <ion-buttons size="small" slot="start">
      <ion-back-button icon="arrow-round-back" color="primary"> </ion-back-button>
    </ion-buttons>
    <ion-title style="font-size: 18px" color="primary">My Profile</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content fullscreen>
  <div *ngIf="profile$ | async as user">
      <div class="header" *ngIf="contentLoaded">
           <img  [defaultImage] = "'../../../assets/images/default.png'" [lazyLoad]="user.cover_photo !== null ? decode(user.cover_photo) : '../../../assets/images/default.png'" alt="" />
        <div class="main_container">
          <ion-card class="profile">
            <ion-avatar>
              <img [defaultImage] = "'../../../assets/images/default.png'" [lazyLoad]="user.image !== null ? decode(user.image): './../../assets/images/default.png'" alt="" />
            </ion-avatar>
            <div class="fab_button">
              <ion-fab vertical="bottom" horizontal="center" (click)="gotoProfile()">
                <ion-fab-button color="danger">
                    <ion-icon name="create"></ion-icon>
                </ion-fab-button>
              </ion-fab>
            </div>
            <br/><br/>
             <ion-card-content>
                 <div style="text-align: center">
                     <span class="name">
                         <p>{{ user.fname }} {{ user.lname }}</p>
                     </span><br/>
                     <span class="email">
                         <p>{{ user.email }}</p><br/>
                     </span>
                     <ion-grid>
                        <ion-row>
                            <ion-col>
                            <ion-button shape="round" expand="block" (click)="viewFollowers(user.id)">
                              {{user.followers_count}}
                              Followers
                            </ion-button>
                            </ion-col>
                            <ion-col>
                            <ion-button shape="round" expand="block" (click)="viewFollowings(user.id)">
                              {{user.following_count}}
                              Following
                            </ion-button>
                            </ion-col>
                        </ion-row>
                    </ion-grid>
                 </div>
                </ion-card-content>
                <ion-segment (ionChange)="segmentChanged($event)">
                  <ion-segment-button value="photos">
                    <fa-icon [icon]="faImage"  style="font-size:25px;color:#d4d4d4"></fa-icon>&nbsp;
                  </ion-segment-button>
                  <ion-segment-button value="boards">
                    <fa-icon [icon]="faBoard"  style="font-size:25px;color:#d4d4d4"></fa-icon>&nbsp;
                  </ion-segment-button>
                </ion-segment>
            </ion-card>
        </div>
        </div>
          <!--Posts-->
        <div class="pins" *ngIf="event === 'photos'">
          <div class ="pin" *ngFor="let pos of post$ | async">
          <img (click)="viewImage(pos.id)"  [defaultImage] = "'../../../assets/images/default.png'" [lazyLoad]="decode(pos.image)" alt="" />
          <video
            *ngIf="pos.type == 'video'"
            preload="metadata"
            autoplay="autoplay"
            webkit-playsinline="webkit-playsinline"
            class="videoPlayer">
            <source [src]="decode(pos.image)" type="video/mp4" />
          </video>
          </div>
        </div>
          <!--Boards-->
          <div class="boards" *ngIf="event === 'boards'">
            <ion-card *ngFor="let board of boards$ | async">
              <ion-card-header>
                <ion-card-subtitle>
                    <ion-label>{{board.name}}</ion-label>
                </ion-card-subtitle>
              </ion-card-header>
              <div class="boards_pic ion-padding">
                <ion-grid>
                    <ion-row *ngFor="let p of board.posts; let i=index">
                        <ion-col >
                          <img *ngIf="i < 3" [src]="decode(p.image)"/>
                        </ion-col>
                    </ion-row>
                </ion-grid>
            </div>
            </ion-card>
          </div>
      </div>

      <!--Skeleton-->
      <div *ngIf="profile$ | async as user">
          <div class="header" *ngIf="!contentLoaded">
              <img  [defaultImage] = "'../../../assets/images/default.png'" [lazyLoad]=" '../../../assets/images/default.png'" alt="" />
          <ion-card class="profile">
            <ion-card-header>
              <ion-avatar>
                  <img  [defaultImage] = "'../../../assets/images/default.png'" [lazyLoad]=" '../../../assets/images/default.png'" alt="" />
              </ion-avatar>
            </ion-card-header>
            <ion-card-content>
                <div style="text-align: center">
                    <span class="name">
                        <ion-skeleton-text animated style="width: 100%"></ion-skeleton-text>
                    </span><br/>
                    <span class="email">
                          <ion-skeleton-text animated style="width: 100%"></ion-skeleton-text>
                    </span><br/><br/>
                    <span class="followers">
                        <ion-skeleton-text animated style="width: 80%"></ion-skeleton-text>
                    </span>
                </div>
                <ion-card-subtitle style="text-align:center;padding-top:10px;">
                    <ion-skeleton-text animated style="width: 80%"></ion-skeleton-text>
                </ion-card-subtitle>
            </ion-card-content>
            <ion-segment (ionChange)="segmentChanged($event)">
              <ion-segment-button value="photos">
                <fa-icon [icon]="faImage"  style="font-size:25px;color:#d4d4d4"></fa-icon>&nbsp;
              </ion-segment-button>
              <ion-segment-button value="boards">
                <fa-icon [icon]="faBoard"  style="font-size:25px;color:#d4d4d4"></fa-icon>&nbsp;
              </ion-segment-button>
            </ion-segment>
          </ion-card>
          
        </div>
      </div>
</ion-content>
